Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Workflow Service
- Add a new custom operator
Get all registered custom operators
Get custom operator by ID
Add a new custom operator
Register a custom operator which can be re-used in multiple workflows.
Security
bearer
Request payload for registering custom operator
propertiesArray of objects(CustomOperatorProperty)
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/workflow/v1/customOperator
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-workflow-service/customOperator
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/workflow/v1/customOperator \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"name": "hello_world_operator",
"className": "HelloWorld",
"description": "Used to print hello world",
"content": "Content of the custom operator",
"properties": [
{
"name": "some Variable",
"description": "some Description",
"mandatory": true
}
]
}'Sucessfully registered operator
propertiesArray of objects(CustomOperatorProperty)
Response
{ "id": "some_id", "name": "hello_world_operator", "className": "HelloWorld", "description": "Used to print hello world", "createdBy": "string", "createdAt": "2019-08-24T14:15:22Z", "properties": [ { … } ] }